<?php

/**
 * @file
 * Custom hooks exposed by the field_visibility_conditions module.
 */

declare(strict_types=1);

use Drupal\Core\Form\FormStateInterface;

/**
 * Alter the conditions available on the field config form.
 *
 * @param array $conditions
 *   The array of conditions to alter.
 * @param \Drupal\Core\Form\FormStateInterface $form_state
 *   The form state object.
 * @param string $form_id
 *   (Optional) The form_id of the form being altered.
 */
function hook_field_visibility_conditions_available_conditions_alter(array &$conditions, FormStateInterface $form_state, ?string $form_id = NULL): void {
  $conditions_to_remove = [
    'language',
    'request_path',
    'response_status',
    'current_theme',
  ];
  $conditions = array_diff_key($conditions, array_flip($conditions_to_remove));
}
