<?php

declare(strict_types=1);

namespace Drupal\Tests\field_visibility_conditions\Traits;

/**
 * Provides methods for testing conditions.
 */
trait TestConditionTrait {

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    // Register our test condition plugin.
    $this->container->get('plugin.manager.condition')->addDiscovery(
      new class() {

        /**
         * Mocking the condition manager getDefinitions method.
         */
        public function getDefinitions(): array {
          return [
            'test_condition' => [
              'id' => 'test_condition',
              'label' => 'Test Condition',
              'class' => 'Drupal\field_visibility_conditions_test\Plugin\Condition\TestCondition',
            ],
            'test_condition_two' => [
              'id' => 'test_condition_two',
              'label' => 'Test Condition Two',
              'class' => 'Drupal\field_visibility_conditions_test\Plugin\Condition\TestCondition',
            ],
          ];
        }

      }
    );
  }

}
